<button @onclick="OnClick">
    @ButtonCaption - @Source
</button>
<span>
    @theTime
</span>

@code {
    string theTime = "00:00:00";
    public string ButtonCaption = "Source: ";

    [Parameter]
    public string Source { get; set; }

    void OnClick() {
        theTime = DateTime.Now.ToString("HH:mm:ss:fff");
    }
}
